MBeanDumper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MBeanDumper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MBeanDumper

    java.lang.Object
      org.hyperic.hq.product.jmx.MBeanDumper

    public class MBeanDumper

extends java.lang.Object

Field Summary
`protected java.util.Properties` | `_config`
`protected static java.lang.String` | `PROP_JMX_QUERY`

Constructor Summary
`MBeanDumper()`

Method Summary
`void` | `dump(java.util.Properties config)`
`void` | `dump(java.util.Set beans)`
`void` | `dump(java.lang.String[] args)`
`protected java.lang.Object` | `getAttribute(javax.management.ObjectName obj, java.lang.String name)`
`protected java.util.Properties` | `getConfig(java.lang.String[] args)`
`protected javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName obj)`
`protected javax.management.MBeanServerConnection` | `getMBeanServer(java.util.Properties config)`
`protected java.lang.String[][]` | `getPropertyMap()`
`protected javax.management.ObjectName` | `getQuery()`
`protected boolean` | `isValidObjectName(java.lang.String name)`
`protected boolean` | `isValidURL(java.lang.String url)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _config

    protected java.util.Properties _config

### PROP_JMX_QUERY

    protected static final java.lang.String PROP_JMX_QUERY

See Also:
  Constant Field Values

Constructor Detail

### MBeanDumper

    public MBeanDumper()

Method Detail

### isValidObjectName

    protected boolean isValidObjectName(java.lang.String name)

### isValidURL

    protected boolean isValidURL(java.lang.String url)

### getConfig

    protected java.util.Properties getConfig(java.lang.String[] args)

### getPropertyMap

    protected java.lang.String[][] getPropertyMap()

### getMBeanServer

    protected javax.management.MBeanServerConnection getMBeanServer(java.util.Properties config)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMBeanInfo

    protected javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName obj)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAttribute

    protected java.lang.Object getAttribute(javax.management.ObjectName obj,
                                            java.lang.String name)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getQuery

    protected javax.management.ObjectName getQuery()

### dump

    public void dump(java.lang.String[] args)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dump

    public void dump(java.util.Properties config)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dump

    public void dump(java.util.Set beans)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.